#
# spec file for package uftpd
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2018, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           uftpd
Version:        2.11
Release:        lp151.2.3.1
Summary:        A combined TFTP/FTP server
License:        ISC
Group:          Productivity/Networking/Ftp/Servers
URL:            http://troglobit.com/uftpd.html
#Git-Clone:     https://github.com/troglobit/uftpd.git
Source:         https://github.com/troglobit/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libite)
BuildRequires:  pkgconfig(libuev) >= 2.2.0
Conflicts:      tftp
Conflicts:      atftp
Provides:       tftp(server)

%description
uftpd serves both TFTP and FTP without any configuration file, starts
automatically from the traditional UNIX inetd super server, and is
tcpwrapped.

%prep
%setup -q

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install
rm -rf %{buildroot}/%{_datadir}/doc

%files
%doc README.md
%license LICENSE
%{_sbindir}/in.ftpd
%{_sbindir}/in.tftpd
%{_sbindir}/uftpd
%{_mandir}/man8/in.ftpd.8%{?ext_man}
%{_mandir}/man8/in.tftpd.8%{?ext_man}
%{_mandir}/man8/uftpd.8%{?ext_man}

%changelog
* Sun Jan  5 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 2.11
  * Increased logging at default log level. Now all relevant
    interaction is logged. See the man page for how to adjust.
  * Fix buffer overflow in FTP PORT parser (Fix CVE-2020-5204)
  * Fix TFTP/FTP directory traversal regression
  * Fix potential DOS through non-busy loop and segfault
  * Fix potential segfault through empty FTP password
  * Fix potential segfault through FTP PORT command
* Mon Aug 26 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 2.10
  * Add support for TFTP WRQ, i.e. for clients sending files to
    server
  * Fix invalid TFTP error codes, now uses custom error string to
    code 0
  * Slightly improved debug messages
* Mon Jul 29 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 2.9
  * Check FTP root security after dropping privileges
  * Revert insecure default: "writable FTP root", introduced in v2.8
  * Revert part of issue #18 to fix issue #23; "CWD /" doesn't work
  * Fix spelling errors found by Lintian
  * Fix package description, more formal and less personal
* Tue May 28 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 2.8
  Changes:
  * The FTP command processor now always converts all inbound
    commands to uppercase to handle clients sending commands in
    lowercase
  * Any arguments to the FTP LIST command are now ignored
  * Improved user feedback on bad FTP root error message
  Fixes
  * Fix #18: KDE Dolphin, FTP client interop problems.
  * Fix off-by-one regression introduced in v2.5
* Sun Mar  3 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 2.7
  Changes
  * Documentation updates, commands added in v2.5 and writable opt
  * Require libuEv v2.2, or later
  Fixes
  * Issues with relative FTP root when running unpriviliged
* Fri Jul 27 2018 jengelh@inai.de
- Remove rhetoric filler wording from descriptions.
* Wed Jul  4 2018 mardnh@gmx.de
- Update to version 2.6
  Fixes
  * Issue #16: 100%% CPU when client session exits
  * Add missing include file for `gettimeofday()`
  * Flush stdout logging when running in the foreground
* Thu Jun 28 2018 mardnh@gmx.de
- Add Conflicts to not interfere with other packages that also
  provide /usr/sbin/in.tftpd
* Mon Jun 18 2018 mardnh@gmx.de
- Initial package, version 2.5
